#ifndef _DISASM_H_
#define _DISASM_H_

struct pe_header {
  char signature[4];
  short cputype, num_objects;
  int timestamp, resrvd1;
  int resrvd2;
  short nthdr_size, flags;
  short resrvd3, lmajor, lminor, resrvd4;
  int resrvd5, resrvd6;
  int entrypoint_rva, resrvd7;
  int resrvd8, image_base;
  int object_align, file_align;
  short os_major, os_minor, user_major, user_minor;
  short subsys_major, subsys_minor;
  int resrvd9;
  int image_size, header_size;
  int file_checksum;
  short subsystem, dll_flags;
  int stack_reserve_size, stack_commit_size;
  int heap_reserve_size, heap_commit_size;
  int resrvd10, num_rva_sizes;
  int export_table_rva, export_data_size;
  int import_table_rva, import_data_size;
  int resource_table_rva, resource_data_size;
  int exception_table_rva, exception_data_size;
  int security_table_rva, security_data_size;
  int fixup_table_rva, fixup_data_size;
  int debug_table_rva, debug_directories;
  int image_description_rva, image_description_size;
  int machine_specific_rva, machine_specific_size;
  int tls_rva, tls_size;
};

struct pe_obj_entry {
  char name[8];
  int virtual_size;
  int rva;
  int physical_size;
  int physical_offset;
  int resrvd1, resrvd2, resrvd3;
  int object_flags;
};

#endif /* _DISASM_H_ */
