#pragma once
#include <stdint.h>

struct user_regs_struct {
        /* GPR R0-R31... */
        uint32_t gpr[32];
        uint32_t pc;
        uint32_t sr;
};

struct elf_siginfo
  {
    int si_signo;                       /* Signal number.  */
    int si_code;                        /* Extra code.  */
    int si_errno;                       /* Errno.  */
  };

typedef uint32_t pid32_t;

struct timeval32 {
  uint32_t tv_sec, tv_usec;
};

struct elf_prstatus
  {
    struct elf_siginfo pr_info;         /* Info associated with signal.  */
    short int pr_cursig;                /* Current signal.  */
    uint32_t pr_sigpend;       /* Set of pending signals.  */
    uint32_t pr_sighold;       /* Set of held signals.  */
    pid32_t pr_pid;
    pid32_t pr_ppid;
    pid32_t pr_pgrp;
    pid32_t pr_sid;
    struct timeval32 pr_utime;            /* User time.  */
    struct timeval32 pr_stime;            /* System time.  */
    struct timeval32 pr_cutime;           /* Cumulative user time.  */
    struct timeval32 pr_cstime;           /* Cumulative system time.  */
    struct user_regs_struct pr_reg;
    int pr_fpvalid;                     /* True if math copro being used.  */
  };
